UPAY (LKR)

Overview:
Upay (Sri Lanka) allows payment collection and payouts.


Payin

Request body:

FieldTypeRequirement LevelDescription
amountnumberRequiredAmount in LKR
currencystringRequired"LKR"
method_codestringRequired"UPAY_LKR"
referencestringRequiredMerchant reference
descriptionstringOptionalDescription for this payment
metadataobjectOptionalMerchant metadata, returned in notifications
webhook_urlstringOptionalHTTPS URL for payout notifications
customer.first_namestringOptionalCustomer's first name
customer.last_namestringOptionalCustomer's last name
customer.emailstringOptionalCustomer's email address
customer.phonestringOptionalCustomer's phone number
customer.addressstringOptionalCustomer's address
customer.citystringOptionalCustomer's city
customer.statestringOptionalCustomer's state
customer.zipstringOptionalCustomer's zipcode
customer.countrystringRequiredCustomer's country (iso2)
ip_addressstringOptionalSever's IP Address

Sample Payload:*

{
  "amount": 100,
  "currency": "LKR",
  "method_code": "UPAY_LKR",
  "reference": "INV-2025-001",
  "metadata": {
    "internal_id": "user1234"
  },
  "webhook_url": "https://yourwebsite.com/webhook",
	"callback_url": "https://yourwebsite.com/callback",
  "customer": {
    "first_name": "Firstname",
		"last_name": "lastname",
    "address": "No 2, Green Median Str",
    "phone": "+9995676898076",
    "email": "[email protected]",
		"country": "LK"
  },
	"ip_address": "0.0.0.0"
}

Payout


Request body:

FieldTypeRequirement LevelDescription
amountnumberRequiredAmount in the local currency
currencystringRequiredLKR
method_codestringRequired"UPAY_LKR"
recipient.wallet_uidstringRequiredRecipient’s 10-digit iPay wallet
recipient.full_namestringRequiredRecipient’s full name
bank.namestringRequiredUPAY bank name
bank.branch_namestringRequiredUPAY bank branch name
referencestringRequiredMerchant reference
countrystringRequiredCountry (iso2)
metadataobjectOptionalMerchant metadata
webhook_urlstringOptionalHTTPS URL for notifications
sender.full_namestringOptionalSender's full name
sender.addressstringOptionalSender's address
sender.phonestringOptionalSender's phone number

Sample Payload:

{
  "amount": 100,
  "currency": "LKR",
  "method_code": "UPAY_LKR",
  "recipient": {
    "wallet_uid": "01712345678",
    "full_name": "Firstname Surname"
  },
  "country": "LK",
  "bank": {
    "name": "main bank name",
	  "branch_name": "branch name",
  },
  "reference": "INV-2025-001",
  "metadata": {
    "internal_id": "user1234"
  },
  "webhook_url": "https://yourwebsite.com/webhook",
  "sender": {
    "full_name": "Firstname Surname",
    "address": "No 2, Green Median Str"
  }
}